summaryrefslogtreecommitdiff
path: root/.expeditor
diff options
context:
space:
mode:
authorSean Simmons <ssimmons@progress.com>2023-03-29 10:51:29 -0400
committerSean Simmons <ssimmons@progress.com>2023-03-29 10:51:29 -0400
commit5b7492e55b21e060f40cb5b7bb855c10d440d561 (patch)
treec38544992a0250e2ff421b7dad80acb6ba25afe9 /.expeditor
parent133cb15de8030380de5016a03359037dc3d52ca1 (diff)
downloadchef-5b7492e55b21e060f40cb5b7bb855c10d440d561.tar.gz
adding sles-15 now that omnitruck is fixed
Signed-off-by: Sean Simmons <ssimmons@progress.com>
Diffstat (limited to '.expeditor')
-rwxr-xr-x.expeditor/scripts/omnibus_chef_build.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/.expeditor/scripts/omnibus_chef_build.sh b/.expeditor/scripts/omnibus_chef_build.sh
index 751356d3b3..d3438c3e8f 100755
--- a/.expeditor/scripts/omnibus_chef_build.sh
+++ b/.expeditor/scripts/omnibus_chef_build.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -ueo pipefail
+set -ueox pipefail
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
@@ -12,6 +12,11 @@ export PATH="/opt/omnibus-toolchain/bin:${PATH}"
export OMNIBUS_FIPS_MODE="true"
export OMNIBUS_PIPELINE_DEFINITION_PATH="${SCRIPT_DIR}/../release.omnibus.yml"
+## hard code for sles-aarch64 here
+## condition statement that looks at the slug, then do the hard coding to
+#https://artifactory-internal.ps.chef.co/artifactory/omnibus-current-local/com/getchef/chef-foundation/3.0.6/sles/15/chef-foundation-3.0.6-1.sles15.aarch64.rpm
+
+
echo "--- Installing Chef Foundation"
curl -fsSL https://omnitruck.chef.io/chef/install.sh | bash -s -- -c "current" -P "chef-foundation" -v "$CHEF_FOUNDATION_VERSION"